'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

exports.default = transformRequest;

var _typeCheck = require('./typeCheck');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function transformRequest(body, headers) {
  if ((0, _typeCheck.isNormalObject)(body)) {
    headers['Content-Type'] = 'application/json;charset=utf-8';
    return (0, _stringify2.default)(body);
  }
  return body;
}